Update to the Metasploit Framework Install Guide

It had been a while since I last updated the Ubuntu/Debian install guide. Recently had to install a new version of my Linux dev VM so what better time to go through the steps and update the guide. I hope you find the guide useful as always. 


  • Update the link for Armitage download.
  • Changed nmap install to use Git instead of SVN
  • Now we pull the Ruby version from the project it self so it is always the latest
  • We now install the latest Oracle Java version.
  • Remove warning of bug with RVM that has been fixed in the project.